=====
About
=====

Sphinx Press is a modern responsive theme for python's
`Sphinx docs <http://www.sphinx-doc.org>`_.

This theme is based on `VuePress <https://vuepress.vuejs.org/>`_.
It uses `Vue.js <https://vuejs.org/>`_ &
`Stylus <http://stylus-lang.com/>`_ managed by
`webpack <https://webpack.js.org/>`_
(through `vue-cli <https://cli.vuejs.org/>`_).



Usage
=====


First install the theme:

.. code-block:: console

   $ pip install sphinx_press_theme


On Sphinx project's ``conf.py``: set the theme name to ``press``.

.. code-block:: python

   html_theme = "press"


See details on `Sphinx theming docs <http://www.sphinx-doc.org/en/master/theming.html#using-a-theme>`_.


Status
======

**Press** theme is still in **BETA**.

Contributions are welcome.
